<template>
  <transition name="modal">
    <div class="modal-mask">
      <div class="modal-wrapper">
        <div class="modal-container">
          <div class="modal-header">
            <slot name="header">
              <button class="modal-default-button" @click="$emit('close')">
                <img src="./img/close.svg" alt="close" />
              </button>
              <div class="header-title">
                <span>Buy Credits</span>
              </div>
              <div class="header-description">
                <span>
                  Live chat - 1 credit/minute, Video Chat - 2 credits/minute,
                  Messages - 10 credits/each
                </span>
              </div>
            </slot>
          </div>
          <div class="modal-body">
            <slot name="body">
              <!-- <div class="table-box desktop">
                <table>
                  <tbody>
                    <tr class="white">
                      <td>
                        <input type="radio" />
                      </td>
                      <td class="credits-item">
                        <span>500 credits</span>
                      </td>
                      <td class="price">
                        <span>$175.00</span>
                      </td>
                      <td class="price">
                        <span>0,35c per credit</span>
                      </td>
                      <td>
                        <span class="discount">Discount 41% off</span>
                      </td>
                    </tr>
                    <tr class="blue">
                      <td>
                        <input type="radio" />
                      </td>
                      <td class="credits-item">
                        <span>340 credits</span>
                      </td>
                      <td class="price">
                        <span>$136.00</span>
                      </td>
                      <td class="price">
                        <span>0,4c per credit</span>
                      </td>
                      <td>
                        <span class="discount">Discount 33% off</span>
                      </td>
                    </tr>
                    <tr class="white">
                      <td>
                        <input type="radio" />
                      </td>
                      <td class="credits-item">
                        <span>200 credits</span>
                      </td>
                      <td class="price">
                        <span>$90.00</span>
                      </td>
                      <td class="price">
                        <span>0,6c per credit</span>
                      </td>
                      <td>
                        <span class="discount">Discount 25% off</span>
                      </td>
                    </tr>
                    <tr class="blue">
                      <td>
                        <input type="radio" />
                      </td>
                      <td class="credits-item">
                        <span>110 credits</span>
                      </td>
                      <td class="price">
                        <span>$55.00</span>
                      </td>
                      <td class="price">
                        <span>0,5c per credit</span>
                      </td>
                      <td>
                        <span class="discount">Discount 16% off</span>
                      </td>
                    </tr>
                    <tr class="white">
                      <td>
                        <input type="radio" />
                      </td>
                      <td class="credits-item">
                        <span>50 credits</span>
                      </td>
                      <td class="price">
                        <span>$30.00</span>
                      </td>
                      <td class="price">
                        <span>0,6c per credit</span>
                      </td>
                      <td></td>
                    </tr>
                  </tbody>
                </table>
              </div> -->

              <div class="table-box mobile">
                <table>
                  <tbody>
                    <tr class="white">
                      <div class="left-side">
                        <td>
                          <input type="radio" />
                        </td>
                      </div>
                      <div class="right-side">
                        <td class="credits-item">
                          <span>500 credits</span>
                        </td>
                        <td class="price">
                          <span>$175.00</span>
                        </td>
                        <td class="price">
                          <span>0,35c per credit</span>
                        </td>
                        <td>
                          <span class="discount">Discount 41% off</span>
                        </td>
                      </div>
                    </tr>
                    <tr class="blue">
                      <div class="left-side">
                        <td>
                          <input type="radio" />
                        </td>
                      </div>
                      <div class="right-side">
                        <td class="credits-item">
                          <span>340 credits</span>
                        </td>
                        <td class="price">
                          <span>$136.00</span>
                        </td>
                        <td class="price">
                          <span>0,4c per credit</span>
                        </td>
                        <td>
                          <span class="discount">Discount 33% off</span>
                        </td>
                      </div>
                    </tr>
                    <tr class="white">
                      <div class="left-side">
                        <td>
                          <input type="radio" />
                        </td>
                      </div>
                      <div class="right-side">
                        <td class="credits-item">
                          <span>200 credits</span>
                        </td>
                        <td class="price">
                          <span>$90.00</span>
                        </td>
                        <td class="price">
                          <span>0,6c per credit</span>
                        </td>
                        <td>
                          <span class="discount">Discount 25% off</span>
                        </td>
                      </div>
                    </tr>
                    <tr class="blue">
                      <div class="left-side">
                        <td>
                          <input type="radio" />
                        </td>
                      </div>
                      <div class="right-side">
                        <td class="credits-item">
                          <span>110 credits</span>
                        </td>
                        <td class="price">
                          <span>$55.00</span>
                        </td>
                        <td class="price">
                          <span>0,5c per credit</span>
                        </td>
                        <td>
                          <span class="discount">Discount 16% off</span>
                        </td>
                      </div>
                    </tr>
                    <tr class="white special">
                      <div class="left-side">
                        <td>
                          <input type="radio" />
                        </td>
                      </div>
                      <div class="right-side">
                        <td class="credits-item">
                          <span>50 credits</span>
                        </td>
                        <td class="price">
                          <span>$30.00</span>
                        </td>
                        <td class="price">
                          <span>0,6c per credit</span>
                        </td>
                        <td></td>
                        <td></td>
                        <td></td>
                      </div>
                    </tr>
                  </tbody>
                </table>
              </div>
              <div class="form-box">
                <form>
                  <div class="form-row">
                    <div class="form-group col-md-6 col-sm-6 left-side">
                      <div class="form-title">
                        <div class="credit item">
                          <span>Credit Card</span>
                        </div>
                      </div>
                      <div class="left-side-form-box">
                        <div class="form-credit-cards">
                          <div class="master-card">
                            <img src="./img/masterCard.svg" alt="master card" />
                          </div>
                          <div class="visa">
                            <img src="./img/visa.svg" alt="visa" />
                          </div>
                          <div class="express">
                            <img src="./img/express.svg" alt="express" />
                          </div>
                          <div class="discover">
                            <img src="./img/discover.svg" alt="discover" />
                          </div>
                        </div>
                        <div class="card-type">
                          <select>
                            <option value="card_type">Card Type</option>
                            <option value="master_card">Master Card</option>
                            <option value="visa">Visa</option>
                            <option value="american_express">
                              American Express
                            </option>
                            <option value="discover">Discover</option>
                          </select>
                        </div>
                        <div class="card-number">
                          <input type="text" placeholder="Card number" />
                        </div>
                        <div class="card-name">
                          <input
                            type="text"
                            placeholder="XXXX-XXXX-XXXX-XXXX"
                          />
                        </div>
                        <div class="form-item">
                          <div class="date col-md-9 col-sm-9">
                            <input
                              type="text"
                              placeholder="Expiration Date (MM/YY)"
                            />
                          </div>
                          <div class="cvv col-md-3 col-sm-3">
                            <input type="text" placeholder="CVV" />
                          </div>
                        </div>
                        <div class="buttons">
                          <div class="checkout-button">
                            <button>Checkout</button>
                          </div>
                          <div class="change-button">
                            <button>Change credit card</button>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 right-side">
                      <div class="form-title">
                        <div class="address item">
                          <span>Billing Adress</span>
                        </div>
                      </div>
                      <div class="form-secure-cards">
                        <div class="merchant">
                          <img src="./img/merchant.svg" alt="merchant" />
                        </div>
                        <div class="anti">
                          <img src="./img/anti.svg" alt="anti" />
                        </div>
                        <div class="lock">
                          <img src="./img/lock.svg" alt="lock" />
                        </div>
                        <div class="secure">
                          <img src="./img/secure.svg" alt="secure" />
                        </div>
                      </div>
                      <div class="right-side-form-box">
                        <div class="street">
                          <input type="text" placeholder="Street" />
                        </div>
                        <div class="city">
                          <input type="text" placeholder="City" />
                        </div>
                        <div class="zip">
                          <input type="text" placeholder="Zip" />
                        </div>
                        <div class="countries">
                          <select>
                            <option value="United_States">United States</option>
                            <option value="Canada">Canada</option>
                            <option value="Ukraine">Ukraine</option>
                          </select>
                        </div>
                        <div class="descriptions">
                          <div class="low-title">
                            <span>You have selected 55 credits for 30.00$</span>
                          </div>
                          <div class="title-box">
                            <div class="checkbox-box">
                              <input type="checkbox" />
                            </div>
                            <div class="text-box">
                              <span
                                >Replenish my account for the same amount when I
                                am out of credits.</span
                              >
                            </div>
                          </div>
                          <div class="subscribe-box">
                            <span>
                              By subscribing you authorize us to charge your
                              credit card now and upon each renewal and accept
                              Terms and Conditions. <strong>Learn more</strong>
                            </span>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </slot>
          </div>
          <div class="modal-footer">
            <slot name="footer">
              <div class="footer-text">
                <span
                  >If you have any problems please contact Live Support or call
                  us at +1 (877) 506-2244</span
                >
              </div>
            </slot>
          </div>
        </div>
      </div>
    </div>
  </transition>
</template>

<script>
export default {};
</script>

<style lang='scss' src='./styles.scss'>
</style>